backward
direction
duration
during
forward
from
jump
onSeek
onSeek
onSeek
onStep
onStep
onStep
peek
peek
peek
point
progress
seek
seek
seek
step
step
step
to
tween
via
via

## seek() [1/3]

const detail::tweentraits<T, Ts...>::valuesType& seek | ( | float | p,
|  | bool | suppressCallbacks = `false`
| ) |  |

Seeks to a specified currentPoint in time based on the currentProgress.

This function sets the current animation time and currentProgress. Callbacks set by `call` will be triggered.

Parameters

  p | The percentage to seek to, between 0.0f and 1.0f, inclusive.
  suppressCallbacks | (Optional) Suppress callbacks registered with tween::onSeek()

Returns
  std::tuple<Ts...> with the current tween values.